# -*- coding: utf-8 -*-
from setuphelpers import *

bin_name_string = "WinSCP-%s-Setup.exe"


def update_package():
    proxies = {}
    if isfile(makepath(application_data(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    import requests

    htmlSource = wgets("https://winscp.net/eng/download.php", proxies=proxies).splitlines()
    for line in htmlSource:
        if "WinSCP" and "-Setup.exe" in line:
            realversion = line[line.find("WinSCP") + 7 : line.find("-Setup.exe")]
            filename = "WinSCP-" + realversion + "-Setup.exe"
            link = "https://winscp.net/download/" + filename
            htmlSource2 = wgets(link, proxies=proxies).splitlines()
            for line2 in htmlSource2:
                if "https://winscp.net/download/files/" in line2:
                    reallink = line2[line2.find("https://") : line2.find(".exe")] + ".exe"
                    break
            break

    if not isfile(filename):
        wget(reallink, filename, proxies=proxies)

    exes = glob.glob("*.exe")
    for fn in exes:
        if fn != filename:
            remove_file(fn)

    from waptpackage import PackageEntry

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())
    pe.version = realversion + "-0"
    pe.save_control_to_wapt(os.getcwd())

    print("The update is complete, you can now test and then launch a build upload.")
